#' Contains the values for conversion of the Ellipsoids PSAD-56, SAD-69, WGS-84, GRS-80 SIRGAS.
#'
#' @format A data frame with 20 columns:
#' \describe{
#'  \item{Description}{Contains the description of each ellipsoid.}
#'  \item{Ellipsoids}{Contains the names of each ellipsoid.}
#'  \item{a}{Semi major axis of each ellipsoid.}
#'  \item{1/f}{1/Flattening of each ellipsoid.}
#'  \item{f}{Flattening of each ellipsoid.}
#'  \item{b}{Semi minor axis of each ellipsoid.}
#'  \item{e^2}{1st eccentricity squared of each ellipsoid.}
#'  \item{e'^2}{2nd eccentricity squared of each ellipsoid.}
#'  \item{A}{A Constant.}
#'  \item{B}{B Constant.}
#'  \item{C}{C Constant.}
#'  \item{D}{D Constant.}
#'  \item{E}{E Constant.}
#'  \item{F}{F Constant.}
#'  \item{Alfa}{Alfa Constant.}
#'  \item{Beta}{Beta Constant.}
#'  \item{Gamma}{Gamma Constant.}
#'  \item{Delta}{Delta Constant.}
#'  \item{Epsilon}{Epsilon Constant.}
#'  \item{Zeta}{Zeta Constant.}
#' }
#' @references https://github.com/diegoalarc/GeodesiCL
#' @examples
#' \dontrun{
#'  Ellipsoids
#' }
"Ellipsoids"
